module.exports = {
  format: 'query',
  apiVersion: '2011-06-15',
  endpointPrefix: 'sts',
  globalEndpoint: 'sts.amazonaws.com',
  resultWrapped: true,
  serviceAbbreviation: 'AWS STS',
  serviceFullName: 'AWS Security Token Service',
  signatureVersion: 'v4',
  timestampFormat: 'iso8601',
  operations: {
    assumeRole: {
      name: 'AssumeRole',
      input: {
        type: 'structure',
        members: {
          RoleArn: {
            required: true
          },
          RoleSessionName: {
            required: true
          },
          Policy: {
          },
          DurationSeconds: {
            type: 'integer'
          },
          ExternalId: {
          }
        }
      },
      output: {
        type: 'structure',
        members: {
          Credentials: {
            type: 'structure',
            members: {
              AccessKeyId: {
              },
              SecretAccessKey: {
              },
              SessionToken: {
              },
              Expiration: {
                type: 'timestamp'
              }
            }
          },
          AssumedRoleUser: {
            type: 'structure',
            members: {
              AssumedRoleId: {
              },
              Arn: {
              }
            }
          },
          PackedPolicySize: {
            type: 'integer'
          }
        }
      }
    },
    assumeRoleWithSAML: {
      name: 'AssumeRoleWithSAML',
      input: {
        type: 'structure',
        members: {
          RoleArn: {
            required: true
          },
          PrincipalArn: {
            required: true
          },
          SAMLAssertion: {
            required: true
          },
          Policy: {
          },
          DurationSeconds: {
            type: 'integer'
          }
        }
      },
      output: {
        type: 'structure',
        members: {
          Credentials: {
            type: 'structure',
            members: {
              AccessKeyId: {
              },
              SecretAccessKey: {
              },
              SessionToken: {
              },
              Expiration: {
                type: 'timestamp'
              }
            }
          },
          AssumedRoleUser: {
            type: 'structure',
            members: {
              AssumedRoleId: {
              },
              Arn: {
              }
            }
          },
          PackedPolicySize: {
            type: 'integer'
          }
        }
      }
    },
    assumeRoleWithWebIdentity: {
      name: 'AssumeRoleWithWebIdentity',
      input: {
        type: 'structure',
        members: {
          RoleArn: {
            required: true
          },
          RoleSessionName: {
            required: true
          },
          WebIdentityToken: {
            required: true
          },
          ProviderId: {
          },
          Policy: {
          },
          DurationSeconds: {
            type: 'integer'
          }
        }
      },
      output: {
        type: 'structure',
        members: {
          Credentials: {
            type: 'structure',
            members: {
              AccessKeyId: {
              },
              SecretAccessKey: {
              },
              SessionToken: {
              },
              Expiration: {
                type: 'timestamp'
              }
            }
          },
          SubjectFromWebIdentityToken: {
          },
          AssumedRoleUser: {
            type: 'structure',
            members: {
              AssumedRoleId: {
              },
              Arn: {
              }
            }
          },
          PackedPolicySize: {
            type: 'integer'
          }
        }
      }
    },
    decodeAuthorizationMessage: {
      name: 'DecodeAuthorizationMessage',
      input: {
        type: 'structure',
        members: {
          EncodedMessage: {
            required: true
          }
        }
      },
      output: {
        type: 'structure',
        members: {
          DecodedMessage: {
          }
        }
      }
    },
    getFederationToken: {
      name: 'GetFederationToken',
      input: {
        type: 'structure',
        members: {
          Name: {
            required: true
          },
          Policy: {
          },
          DurationSeconds: {
            type: 'integer'
          }
        }
      },
      output: {
        type: 'structure',
        members: {
          Credentials: {
            type: 'structure',
            members: {
              AccessKeyId: {
              },
              SecretAccessKey: {
              },
              SessionToken: {
              },
              Expiration: {
                type: 'timestamp'
              }
            }
          },
          FederatedUser: {
            type: 'structure',
            members: {
              FederatedUserId: {
              },
              Arn: {
              }
            }
          },
          PackedPolicySize: {
            type: 'integer'
          }
        }
      }
    },
    getSessionToken: {
      name: 'GetSessionToken',
      input: {
        type: 'structure',
        members: {
          DurationSeconds: {
            type: 'integer'
          },
          SerialNumber: {
          },
          TokenCode: {
          }
        }
      },
      output: {
        type: 'structure',
        members: {
          Credentials: {
            type: 'structure',
            members: {
              AccessKeyId: {
              },
              SecretAccessKey: {
              },
              SessionToken: {
              },
              Expiration: {
                type: 'timestamp'
              }
            }
          }
        }
      }
    }
  }
};
